### Method

# EDataServer OAuth2Services remove

since: 3.28

#### Declaration [src]

    void
    e_oauth2_services_remove (
      EOAuth2Services* services,
      EOAuth2Service* service
    )

#### Description [src]

Removes the `service` from the list of known services in `services`. The function does nothing, if the `service` had not been added.

Available since: 3.28

#### Parameters

`service`

  Type: `EOAuth2Service`

  An `EOAuth2Service` to remove.

  The data is owned by the caller of the method.